Bug 151483 - printconf-tui crashes with "KeyError"
printconf-tui crashes with "KeyError"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 09:16 EST by Tethys
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-05 11:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2005-03-18 09:16:57 EST
Description of problem:
Try to add a printer with printconf-tui. All seems OK until
you exit, at which point it crashes.

Version-Release number of selected component (if applicable):
system-config-printer-0.6.116.1.1-1

How reproducible:
Every time

Steps to Reproduce:
1. Go into printconf-tui
2. Add a postscript printer called "printer01"
3. Edit the driver options to set the default page size to A4.
4. Exit printconf-tui
  
Actual results:
isengard:~# printconf-tui
Initializing alchemist edit environment ...
Initializing linux printing database ...
Traceback (most recent call last):
  File "/usr/sbin/printconf-tui", line 8, in ?
    printconf_tui.startup_and_find_cmd()
  File "/usr/share/printconf/util/printconf_tui.py", line 2413, in
startup_and_find_cmd
    main.cmd_handlers[cmd]()
  File "/usr/share/printconf/util/printconf_tui.py", line 1993, in tui_main_run
    qld_run()
  File "/usr/share/printconf/util/printconf_tui.py", line 1844, in qld_run
    qld_build()
  File "/usr/share/printconf/util/printconf_tui.py", line 1960, in qld_build
    qld.queue_list_box.setCurrent(qld.selected_queue_name)
  File "/usr/lib/python2.3/site-packages/snack.py", line 688, in setCurrent
    self.listbox.setCurrent(item)
  File "/usr/lib/python2.3/site-packages/snack.py", line 100, in setCurrent
    self.w.listboxSetCurrent(self.item2key[item])
KeyError: '_printer01'


This was preventing me from printing. I could add a printer with
printconf-gui, but every time I try to edit it with the text only
config tool, I get a KeyError and a python stack trace. I'm just glad
that this particular box isn't headless...
Comment 1 Tim Waugh 2005-03-30 08:50:12 EST
Does this also happen with system-config-printer-0.6.116.1.4-1?

https://www.redhat.com/archives/fedora-test-list/2005-March/msg00834.html
Comment 2 Tethys 2005-04-04 09:56:41 EDT
That seems to fix it. Thanks.

Note You need to log in before you can comment on or make changes to this bug.